Main Page Modules Data Structures File List Data Fields Globals Related Pages

# bucket Struct Reference

## Data Fields

filePath * | data
int | allocated
int | firstFree

## Field Documentation

int bucket::allocated

| Definition at line 21 of file hash.c. Referenced by htAddToTable, and htNewTable.

struct filePath* bucket::data

| Definition at line 20 of file hash.c. Referenced by htAddToTable, htFreeHashTable, htNewTable, htRemoveFromTable, and in_table_aux.

int bucket::firstFree

| Definition at line 22 of file hash.c. Referenced by htAddToTable, htFreeHashTable, htHashStats, htNewTable, htRemoveFromTable, and in_table_aux.

The documentation for this struct was generated from the following file:

- python/hash.c